Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class RemoteUserSecurityContext

    java.lang.Object
      org.jasig.portal.security.provider.ChainingSecurityContext
          org.jasig.portal.security.provider.RemoteUserSecurityContext

All Implemented Interfaces:
  java.io.Serializable, ISecurityContext

     class RemoteUserSecurityContext

extends ChainingSecurityContext
implements ISecurityContext

Create a security context and store the value of remote user. If not null, the user has authenticated.

Version:
  $Revision: 1.7.4.1 $
Author:
  Pete Boysen, pboysen@iastate.edu

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`ChainingSecurityContext.ChainingAdditionalDescriptor, ChainingSecurityContext.ChainingOpaqueCredentials, ChainingSecurityContext.ChainingPrincipal`

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private java.lang.String` | `remoteUser`
`private static int` | `REMOTEUSERSECURITYAUTHTYPE`

Fields inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`isauth, myAdditionalDescriptor, myOpaqueCredentials, myOrder, myPrincipal, mySubContexts, stopWhenAuthenticated`

Constructor Summary
`RemoteUserSecurityContext()` Constructor for the RemoteUserSecurityContext object.
`RemoteUserSecurityContext(java.lang.String user)` Constructor for the RemoteUserSecurityContext object.

Method Summary
`void` | `authenticate()` Verify that remoteUser is not null and set the principal's UID to this value.
`int` | `getAuthType()` Gets the authType attribute of the RemoteUserSecurityContext object
`void` | `setRemoteUser(java.lang.String remoteUser)` Set the remote user for this security context.

Methods inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`addSubContext, doesSubContextExist, getAdditionalDescriptor, getOpaqueCredentials, getOpaqueCredentialsInstance, getPrincipal, getPrincipalInstance, getSubContext, getSubContextNames, getSubContexts, isAuthenticated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.security.ISecurityContext
`addSubContext, getAdditionalDescriptor, getOpaqueCredentials, getOpaqueCredentialsInstance, getPrincipal, getPrincipalInstance, getSubContext, getSubContextNames, getSubContexts, isAuthenticated`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### REMOTEUSERSECURITYAUTHTYPE

    private static final int REMOTEUSERSECURITYAUTHTYPE

See Also:
  Constant Field Values

### remoteUser

    private java.lang.String remoteUser

Constructor Detail

### RemoteUserSecurityContext

    RemoteUserSecurityContext()

  Constructor for the RemoteUserSecurityContext object. Store the value of user for authentication.

### RemoteUserSecurityContext

    RemoteUserSecurityContext(java.lang.String user)

  Constructor for the RemoteUserSecurityContext object. Store the value of user for authentication.

  Parameters:
    `user` - Description of the Parameter

Method Detail

### getAuthType

    public int getAuthType()

  Gets the authType attribute of the RemoteUserSecurityContext object

  Specified by:
    `getAuthType` in interface `ISecurityContext`
  Returns:
    The authType value

### authenticate

    public void authenticate()
                      throws PortalSecurityException

  Verify that remoteUser is not null and set the principal's UID to this value.

  Specified by:
    `authenticate` in interface `ISecurityContext`
  Overrides:
    `authenticate` in class `ChainingSecurityContext`
  Throws:
    `PortalSecurityException`
  See Also:
    `ISecurityContext.getPrincipalInstance()`, `ISecurityContext.getOpaqueCredentialsInstance()`

### setRemoteUser

    public void setRemoteUser(java.lang.String remoteUser)

  Set the remote user for this security context.

  Parameters:
    `remoteuser` - the REMOTE_USER environment variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD